with open("index.html.gz", "rb") as f:
    data = f.read()

print("const uint8_t index_html[] PROGMEM = {")
for i, b in enumerate(data):
    print(f"0x{b:02X},", end='' if (i+1)%16 else "\n")
print("};")
print(f"const size_t index_html_len = {len(data)};")
